---
title: Update an existing host application
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/host/update-an-existing-host-application/
product: CloudConnexa Docs
---

# Update an existing host application

`PUT /api/v1/hosts/applications/{id}`

**Update an existing host application.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "routes": [
    {
      "value": "string",
      "allowEmbeddedIp": true
    }
  ],
  "config": {
    "serviceTypes": [
      "ANY"
    ],
    "customServiceTypes": [
      {}
    ]
  }
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [HostApplicationRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/hostapplicationrequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » routes | body | \[[HostApplicationRouteRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/hostapplicationrouterequest.md)\] | false | none |
| »» value | body | string | false | none |
| »» allowEmbeddedIp | body | boolean | false | none |
| » config | body | [ServiceConfigRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/serviceconfigrequest.md) | false | none |
| »» serviceTypes | body | \[string\] | false | none |
| »» customServiceTypes | body | \[[CustomServiceTypeRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/customservicetyperequest.md)\] | false | none |
| »»» protocol | body | string | false | none |
| »»» port | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/rangeinteger.md)\] | false | none |
| »»»» value | body | integer(int32) | false | none |
| »»»» lowerValue | body | integer(int32) | false | none |
| »»»» upperValue | body | integer(int32) | false | none |
| »»» icmpType | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/rangeinteger.md)\] | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| »» serviceTypes | ANY |
| »» serviceTypes | CUSTOM |
| »» serviceTypes | BGP |
| »» serviceTypes | DHCP |
| »» serviceTypes | DNS |
| »» serviceTypes | FTP |
| »» serviceTypes | HTTP |
| »» serviceTypes | HTTPS |
| »» serviceTypes | IMAP |
| »» serviceTypes | IMAPS |
| »» serviceTypes | NTP |
| »» serviceTypes | POP3 |
| »» serviceTypes | POP3S |
| »» serviceTypes | SMTP |
| »» serviceTypes | SMTPS |
| »» serviceTypes | SNMP |
| »» serviceTypes | SSH |
| »» serviceTypes | TELNET |
| »» serviceTypes | TFTP |
| »»» protocol | TCP |
| »»» protocol | UDP |
| »»» protocol | ICMP |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [HostApplicationResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/hostapplicationresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get existing host application](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/host/get-existing-host-application.md)
Next: [Delete an existing host application](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/host/delete-an-existing-host-application.md)
Index: https://openvpn.net/cloud-docs/llms.txt
